### Method

# GUPnPAV ProtocolInfo set_protocol

#### Declaration [src]

    void
    gupnp_protocol_info_set_protocol (
      GUPnPProtocolInfo* info,
      const char* protocol
    )

#### Description [src]

Set the protocol of this info.

Sets property | `GUPnPAV.ProtocolInfo:protocol`

#### Parameters

`protocol`

  Type: `const char*`

  The protocol string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.